/*
 *	File:	interrupt.c
 *	Date:	09.01.2011
 */

#include "main.h"

//-----------------------------------------------------------------------------
void interrupt_init(void)
{
	NVIC_InitTypeDef NVIC_InitStructure;

	NVIC_SetVectorTable(NVIC_VectTab_FLASH, 0x0);

	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_0);

	NVIC_InitStructure.NVIC_IRQChannel = DMA1_Channel3_IRQn;
	NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0;
	NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStructure);
}

//------------------------------------------------------------------------------
void DMA1_Channel3_Handler(void)
{
	PIN_ON(PIN_TEST);

	if (DMA_GetITStatus(DMA1_IT_TC3))
	{
		DMA_ClearITPendingBit(DMA1_IT_TC3);
		change_sinus();
	}

	PIN_OFF(PIN_TEST);
}
